org.h2.util

## Class NetUtils2

- java.lang.Object
- - org.h2.util.NetUtils2

    public final class NetUtils2
    extends java.lang.Object

This utility class contains additional socket helper functions. This class is overridden in multi-release JAR with real implementation. This utility class contains specialized implementation of additional socket helper functions for Java 10 and later versions.

### Method Summary

Methods
`static boolean` `getTcpQuickack(java.net.Socket socket)` Returns the value of TCP_QUICKACK option.
`static boolean` `setTcpQuickack(java.net.Socket socket, boolean value)` Sets the value of TCP_QUICKACK option.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTcpQuickack

    public static boolean getTcpQuickack(java.net.Socket socket)
                                  throws java.io.IOException

Returns the value of TCP_QUICKACK option.

Parameters:
  `socket` - the socket
Returns:
  the current value of TCP_QUICKACK option
Throws:
  `java.io.IOException` - on I/O exception
  `java.lang.UnsupportedOperationException` - if TCP_QUICKACK is not supported

#### setTcpQuickack

    public static boolean setTcpQuickack(java.net.Socket socket,
                         boolean value)

Sets the value of TCP_QUICKACK option.

Parameters:
  `socket` - the socket
  `value` - the value to set
Returns:
  whether operation was successful